Index: c/src/lib/libbsp/mips64orion/Makefile.in
===================================================================
--- c/src/lib/libbsp/mips64orion/Makefile.in	(revision b54624299a7797470d17f1c37560a854c029d1ee)
+++ c/src/lib/libbsp/mips64orion/Makefile.in	(revision d2632274d6206ab9a6075022adb2f4fc7b6f2d1d)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 include $(RTEMS_CUSTOM)
Index: c/src/lib/libbsp/mips64orion/p4000/Makefile.in
===================================================================
--- c/src/lib/libbsp/mips64orion/p4000/Makefile.in	(revision b54624299a7797470d17f1c37560a854c029d1ee)
+++ c/src/lib/libbsp/mips64orion/p4000/Makefile.in	(revision d2632274d6206ab9a6075022adb2f4fc7b6f2d1d)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 include $(RTEMS_CUSTOM)
Index: c/src/lib/libbsp/mips64orion/p4000/console/Makefile.in
===================================================================
--- c/src/lib/libbsp/mips64orion/p4000/console/Makefile.in	(revision b54624299a7797470d17f1c37560a854c029d1ee)
+++ c/src/lib/libbsp/mips64orion/p4000/console/Makefile.in	(revision d2632274d6206ab9a6075022adb2f4fc7b6f2d1d)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 PGM=${ARCH}/console.rel
Index: c/src/lib/libbsp/mips64orion/p4000/include/Makefile.in
===================================================================
--- c/src/lib/libbsp/mips64orion/p4000/include/Makefile.in	(revision b54624299a7797470d17f1c37560a854c029d1ee)
+++ c/src/lib/libbsp/mips64orion/p4000/include/Makefile.in	(revision d2632274d6206ab9a6075022adb2f4fc7b6f2d1d)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 H_FILES = $(srcdir)/bsp.h $(srcdir)/coverhd.h
Index: c/src/lib/libbsp/mips64orion/p4000/liblnk/Makefile.in
===================================================================
--- c/src/lib/libbsp/mips64orion/p4000/liblnk/Makefile.in	(revision b54624299a7797470d17f1c37560a854c029d1ee)
+++ c/src/lib/libbsp/mips64orion/p4000/liblnk/Makefile.in	(revision d2632274d6206ab9a6075022adb2f4fc7b6f2d1d)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 PGM=${ARCH}/liblnk.rel
Index: c/src/lib/libbsp/mips64orion/p4000/start/Makefile.in
===================================================================
--- c/src/lib/libbsp/mips64orion/p4000/start/Makefile.in	(revision b54624299a7797470d17f1c37560a854c029d1ee)
+++ c/src/lib/libbsp/mips64orion/p4000/start/Makefile.in	(revision d2632274d6206ab9a6075022adb2f4fc7b6f2d1d)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 # C source names, if any, go here -- minus the .c
Index: c/src/lib/libbsp/mips64orion/p4000/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/mips64orion/p4000/startup/Makefile.in	(revision b54624299a7797470d17f1c37560a854c029d1ee)
+++ c/src/lib/libbsp/mips64orion/p4000/startup/Makefile.in	(revision d2632274d6206ab9a6075022adb2f4fc7b6f2d1d)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@:@srcdir@/../../../shared
+VPATH = @srcdir@:@srcdir@/../../../shared
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/mips64orion/p4000/wrapup/Makefile.in
===================================================================
--- c/src/lib/libbsp/mips64orion/p4000/wrapup/Makefile.in	(revision b54624299a7797470d17f1c37560a854c029d1ee)
+++ c/src/lib/libbsp/mips64orion/p4000/wrapup/Makefile.in	(revision d2632274d6206ab9a6075022adb2f4fc7b6f2d1d)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 BSP_PIECES=startup console liblnk
